#
# Copyright (c) 2015-2020 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

from zope.contentprovider.interfaces import IContentProvider
from zope.interface import Interface

from pyams_file.schema import ImageField


__docformat__ = 'restructuredtext'

from onf_website import _


#
# Custom head portlet renderers interfaces
#
from pyams_i18n.schema import I18nTextLineField


class IHubHeaderWithImagesPortletRendererSettings(Interface):
    """Hub header with images porlet renderer settings"""

    background_image = ImageField(title=_("Background image"),
                                  required=False)

    foreground_left_image = ImageField(title=_("Foreground left image"),
                                       required=False)

    foreground_right_image = ImageField(title=_("Foreground right image"),
                                        required=False)

    heading = I18nTextLineField(title=_('header-heading', default="Heading"),
                                description=_("Heading displayed on top above illustration"),
                                required=False)


#
# Content dard interface
#

class IContentCard(IContentProvider):
    """Content card interface"""
